Skip to main content
Resource Center/Network Resource/VPC Operations

UpdateVpcHaGroup

UpdateVpcHaGroup

PUT/zstack/v1/vpc/hagroups/{uuid}/actions

Operation ID

UpdateVpcHaGroup

Since

3.5.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VpcHaGroupInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • monitors
      ListRequired

      See monitors.

      • id
        LongRequired

        The resource ID.

      • vpcHaRouterUuid
        StringRequired

        The VPC HA router UUID.

      • monitorIp
        StringRequired

        The monitor IP.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • vrRefs
      ListRequired

      See vrRefs.

      • uuid
        StringRequired

        The resource UUID.

      • VpcHaRouterUuid
        StringRequired

        The VpcHaRouterUuid value.

    • services
      ListRequired

      See services.

      • id
        LongRequired

        The resource ID.

      • vpcHaRouterUuid
        StringRequired

        The VPC HA router UUID.

      • networkServiceName
        StringRequired

        The network service name.

      • networkServiceUuid
        StringRequired

        The network service UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • usedIps
      ListRequired

      See usedIps.

      • id
        LongRequired

        The resource ID.

      • vpcHaRouterUuid
        StringRequired

        The VPC HA router UUID.

      • vipUuid
        StringRequired

        The VIP UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ip
        StringRequired

        The IP address.

      • netmask
        StringRequired

        The netmask.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.